/*
  Copyright 2023 Kakao Corp.

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
package com.kakao.sdk.sample.common.k2220

import com.kakao.sdk.sample.common.k2220.model.CertDemoResponse
import retrofit2.Call
import retrofit2.http.Body
import retrofit2.http.Headers
import retrofit2.http.POST

interface CertDemoApi {
    @Headers("Content-Type:application/json")
    @POST("k2220/login")
    fun login(
        @Body param: Map<String, String>,
    ): Call<CertDemoResponse>

    @Headers("Content-Type:application/json")
    @POST("k2220/verify")
    fun verify(
        @Body params: HashMap<String, Any>,
    ): Call<CertDemoResponse>

    @Headers("Content-Type:application/json")
    @POST("k2220/sign")
    fun sign(
        @Body params: Map<String, String>,
    ): Call<CertDemoResponse>
}
